Bug 54400 - Lets make Nautilus recognize new StarOffice 6.0 Icons and Filetypes
Lets make Nautilus recognize new StarOffice 6.0 Icons and Filetypes
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-10-05 16:25 EDT by Ecmel Ercan
Modified: 2007-03-26 23:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-15 03:32:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ecmel Ercan 2001-10-05 16:25:01 EDT
Lets make Nautilus recognize new StarOffice 6.0 Icons and Filetypes.

Also, it can be extended to recognize all types of files that staroffice
6.0 can handle.  (Such as .xls, .doc, etc.)

And lets make RedHat rock! :)
Comment 1 Havoc Pennington 2001-12-07 16:24:33 EST
Yeah. It's somewhat unfortunate that StarOffice uses gzip files for its
filetype, so they can only be recognized by filename extension (we can't
auto-recognize the file format). But should handle the extension.
Comment 2 Tomas Mraz 2002-01-15 03:32:46 EST
I've solved on my installation it by removing the magic for ZIP files from
/etc/gnome-vfs-mime-magic and added some keys for the extensions to the
appropriate files in the /usr/share/gnome...

But I think that the priority shoud be the other way around - if there is
registered extension, then it should try it and if it isn't then it should try
the magic file.
Comment 3 Havoc Pennington 2002-02-27 10:39:31 EST
This is fixed in gnome-mime-data 1.0.4

Note You need to log in before you can comment on or make changes to this bug.